aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/vdb_repository_TEST_eapis_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2011-03-05 15:30:29 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2011-03-05 15:30:29 +0000
commitfed1372c3d68212cecaa9fdc35c90b150d7fd2f2 (patch)
tree8819fcf803b5dd9dc83cd645430ad0a44793db89 /paludis/repositories/e/vdb_repository_TEST_eapis_setup.sh
parent1f50219439b49adc323d5d00ffc606861e6174fe (diff)
downloadpaludis-fed1372c3d68212cecaa9fdc35c90b150d7fd2f2.tar.gz
paludis-fed1372c3d68212cecaa9fdc35c90b150d7fd2f2.tar.xz
Split VDB tests up a bit
Diffstat (limited to 'paludis/repositories/e/vdb_repository_TEST_eapis_setup.sh')
-rwxr-xr-xpaludis/repositories/e/vdb_repository_TEST_eapis_setup.sh269
1 files changed, 269 insertions, 0 deletions
diff --git a/paludis/repositories/e/vdb_repository_TEST_eapis_setup.sh b/paludis/repositories/e/vdb_repository_TEST_eapis_setup.sh
new file mode 100755
index 000000000..9ccbd2abe
--- /dev/null
+++ b/paludis/repositories/e/vdb_repository_TEST_eapis_setup.sh
@@ -0,0 +1,269 @@
+#!/usr/bin/env bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir -p vdb_repository_TEST_eapis_dir || exit 1
+cd vdb_repository_TEST_eapis_dir || exit 1
+
+mkdir -p distdir
+mkdir -p build
+mkdir -p root/etc
+
+mkdir -p dstrepo
+
+mkdir -p srcrepo/{profiles/profile,cat/{target,vars}{,-exheres},eclass}
+cat <<END > srcrepo/profiles/profile/make.defaults
+ARCH=test
+USERLAND="GNU"
+KERNEL="linux"
+CHOST="i286-badger-linux-gnu"
+END
+echo "srcrepo" > srcrepo/profiles/repo_name || exit 1
+
+cat <<'END' > srcrepo/cat/target/target-0.ebuild
+EAPI="0"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+DEPEND="foo/bar"
+
+src_install() {
+ echo MONKEY > ${D}/monkey
+}
+
+pkg_info() {
+ echo "This is pkg_info"
+}
+
+pkg_config() {
+ echo "This is pkg_config"
+}
+END
+
+cat <<'END' > srcrepo/cat/target/target-1.ebuild
+EAPI="1"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+DEPEND="foo/bar"
+
+src_install() {
+ echo MONKEY > ${D}/monkey
+}
+
+pkg_info() {
+ echo "This is pkg_info"
+}
+
+pkg_config() {
+ echo "This is pkg_config"
+}
+END
+
+cat <<'END' > srcrepo/cat/target/target-2.ebuild
+EAPI="2"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+DEPEND="foo/bar"
+
+src_install() {
+ echo MONKEY > ${D}/monkey
+}
+
+pkg_info() {
+ echo "This is pkg_info"
+}
+
+pkg_config() {
+ echo "This is pkg_config"
+}
+END
+
+cat <<'END' > srcrepo/cat/target/target-3.ebuild
+EAPI="3"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+DEPEND="foo/bar"
+S="${WORKDIR}"
+
+src_install() {
+ echo MONKEY > ${D}/monkey
+}
+
+pkg_info() {
+ echo "This is pkg_info"
+}
+
+pkg_config() {
+ echo "This is pkg_config"
+}
+END
+
+cat <<'END' > srcrepo/cat/target-exheres/target-exheres-0.ebuild
+EAPI="exheres-0"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+DOWNLOADS=""
+SLOT="0"
+MYOPTIONS=""
+LICENCES="GPL-2"
+PLATFORMS="test"
+WORK="${WORKBASE}"
+DEPENDENCIES=""
+
+src_install() {
+ echo MONKEY > ${IMAGE}/monkey
+}
+
+pkg_info() {
+ echo "This is pkg_info"
+}
+
+pkg_config() {
+ echo "This is pkg_config"
+}
+END
+
+cat <<'END' > srcrepo/cat/vars/vars-0.ebuild
+EAPI="0"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+DEPEND="foo/bar"
+
+pkg_setup() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+src_compile() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+pkg_preinst() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+pkg_prerm() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+pkg_info() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+pkg_config() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+END
+
+cat <<'END' > srcrepo/cat/vars/vars-1.ebuild
+EAPI="1"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+DEPEND="foo/bar"
+
+pkg_setup() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+src_compile() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+pkg_preinst() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+pkg_prerm() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+pkg_info() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+
+pkg_config() {
+ einfo "${EBUILD_PHASE}: T=${T}"
+ [[ -d "${T}" ]] || die "T not a dir"
+}
+END
+
+cat <<'END' > srcrepo/cat/vars-exheres/vars-exheres-0.ebuild
+EAPI="exheres-0"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+DOWNLOADS=""
+SLOT="0"
+MYOPTIONS=""
+LICENCES="GPL-2"
+PLATFORMS="test"
+DEPENDENCIES="foo/bar"
+
+pkg_setup() {
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
+}
+
+src_compile() {
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
+}
+
+pkg_preinst() {
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
+}
+
+pkg_prerm() {
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
+}
+
+pkg_info() {
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
+}
+
+pkg_config() {
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
+}
+END
+